<script setup>
import { computed } from "vue";

// eslint-disable-next-line
    const version = __APP_VERSION__;

const getCurrentYear = computed(() => new Date().getFullYear());
</script>

<template>
  <footer class="bg-body text-primary-emphasis mt-5">
    <div class="container-fluid py-1">
      <div class="row small d-print-none">
        <div class="col-4 d-flex flex-column d-md-inline">
          <span>&copy; {{ getCurrentYear }}</span>
          <a
            href="https://www.roctechworks.com"
            target="_blank"
            class="text-decoration-none"
          >
            roctechworks LLC</a
          >
        </div>
        <div class="col-4 d-flex flex-column d-md-inline text-center">
          <RouterLink class="text-decoration-none" to="/privacy-policy">
            <span class="text-nowrap"> Privacy Policy </span>
          </RouterLink>
        </div>
        <div class="col-4 text-end">
          <div class="d-flex justify-content-end">
            <span class="version ps-2">
              {{ version }}
            </span>
          </div>
        </div>
      </div>
    </div>
  </footer>
</template>
